SDL_AppEvent_func(3type)

NAME
SDL_AppEvent_func - Function pointer typedef for SDL_AppEvent .

HEADER FILE
Defined in SDL3/SDL_init.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef SDL_AppResult (SDLCALL *SDL_AppEvent_func)(void *appstate, SDL_Event *event);

DESCRIPTION
These are used by SDL_EnterAppMainCallbacks . This mechanism operates behind the scenes for apps using the optional main callbacks. Apps that want to use this should just implement

SDL_AppEvent
 directly.

FUNCTION PARAMETERS

appstate
    an optional pointer, provided by the app in SDL_AppInit .

event
    the new event for the app to examine.

RETURN VALUE
Returns SDL_APP_FAILURE
 to terminate with an error,

SDL_APP_SUCCESS
 to terminate with success,

SDL_APP_CONTINUE
 to continue.

AVAILABILITY
This datatype is available since SDL 3.2.0.